/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;

import java.util.Date;


/**
 * 执行数据中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-21 10:29:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "执行数据中间表")
public class MidManualExecJob implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_total = "total";
  public static final String KEY_nonExec = "nonExec";
  public static final String KEY_invalid = "invalid";
  public static final String KEY_fail = "fail";
  public static final String KEY_blocked = "blocked";
  public static final String KEY_hangUp = "hangUp";
  public static final String KEY_unfinished = "unfinished";
  public static final String KEY_pass = "pass";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 执行时间<br>
   */
  @ApiModelProperty("执行时间")
  private Date createdTime;
  /**
   * 总数<br>
   */
  @ApiModelProperty("总数")
  private Integer total;
  /**
   * 未执行数量<br>
   */
  @ApiModelProperty("未执行数量")
  private Integer nonExec;
  /**
   * 无效数量<br>
   */
  @ApiModelProperty("无效数量")
  private Integer invalid;
  /**
   * 失败数量<br>
   */
  @ApiModelProperty("失败数量")
  private Integer fail;
  /**
   * 阻塞数量<br>
   */
  @ApiModelProperty("阻塞数量")
  private Integer blocked;
  /**
   * 挂起数量<br>
   */
  @ApiModelProperty("挂起数量")
  private Integer hangUp;
  /**
   * 未完成数量<br>
   */
  @ApiModelProperty("未完成数量")
  private Integer unfinished;
  /**
   * 通过数量<br>
   */
  @ApiModelProperty("通过数量")
  private Integer pass;

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 执行时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 执行时间<br>
   *
   * @param createdTime 执行时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 总数<br>
   */
  public Integer getTotal()
  {
      return total;
    }

  /**
   * 总数<br>
   *
   * @param total 总数
   */
  public void setTotal(Integer total)
  {
      this.total = total;
    }
  /**
   * 未执行数量<br>
   */
  public Integer getNonExec()
  {
      return nonExec;
    }

  /**
   * 未执行数量<br>
   *
   * @param nonExec 未执行数量
   */
  public void setNonExec(Integer nonExec)
  {
      this.nonExec = nonExec;
    }
  /**
   * 无效数量<br>
   */
  public Integer getInvalid()
  {
      return invalid;
    }

  /**
   * 无效数量<br>
   *
   * @param invalid 无效数量
   */
  public void setInvalid(Integer invalid)
  {
      this.invalid = invalid;
    }
  /**
   * 失败数量<br>
   */
  public Integer getFail()
  {
      return fail;
    }

  /**
   * 失败数量<br>
   *
   * @param fail 失败数量
   */
  public void setFail(Integer fail)
  {
      this.fail = fail;
    }
  /**
   * 阻塞数量<br>
   */
  public Integer getBlocked()
  {
      return blocked;
    }

  /**
   * 阻塞数量<br>
   *
   * @param blocked 阻塞数量
   */
  public void setBlocked(Integer blocked)
  {
      this.blocked = blocked;
    }
  /**
   * 挂起数量<br>
   */
  public Integer getHangUp()
  {
      return hangUp;
    }

  /**
   * 挂起数量<br>
   *
   * @param hangUp 挂起数量
   */
  public void setHangUp(Integer hangUp)
  {
      this.hangUp = hangUp;
    }
  /**
   * 未完成数量<br>
   */
  public Integer getUnfinished()
  {
      return unfinished;
    }

  /**
   * 未完成数量<br>
   *
   * @param unfinished 未完成数量
   */
  public void setUnfinished(Integer unfinished)
  {
      this.unfinished = unfinished;
    }
  /**
   * 通过数量<br>
   */
  public Integer getPass()
  {
      return pass;
    }

  /**
   * 通过数量<br>
   *
   * @param pass 通过数量
   */
  public void setPass(Integer pass)
  {
      this.pass = pass;
    }

  public MidManualExecJob()
  {
  }

}
